Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.comet
Interface CometProcessor

All Superinterfaces:
  Servlet

    public interface CometProcessor

extends Servlet

This interface should be implemented by servlets which would like to handle asynchronous IO, receiving events when data is available for reading, and being able to output data without the need for being invoked by the container. Note: When this interface is implemented, the service method of the servlet will never be called, and will be replaced with a begin event.

Method Summary
`void` | `event(CometEvent event)` Process the given Comet event.

Methods inherited from interface javax.servlet.Servlet
`destroy, getServletConfig, getServletInfo, init, service`

Method Detail

### event

    void event(CometEvent event)
               throws IOException,
                      ServletException

  Process the given Comet event.

  Parameters:
    `event` - The Comet event that will be processed
  Throws:
    `IOException`
    `ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.